const path = require('path');

module.exports.append = (config) => {
	config.module.rules.push({
		test: /\.(ts|tsx)$/,
		include: [path.join(__dirname, '../../packages'), path.join(__dirname, '../../stories')],
	});

	config.module.rules.push({
		test: /\.txt$/i,
		use: 'raw-loader',
	});

	config.resolve.extensions.push('.ts', '.tsx', '.mdx', '.json', 'txt');
	config.resolve.alias = {
		...config.resolve.alias,
		config: path.join(__dirname, '../../config'),
		'@treejs/components': path.join(__dirname, '../../packages/components/src'),
		'@treejs/api': path.join(__dirname, '../../packages/api/src'),
		'@treejs/auth': path.join(__dirname, '../../packages/auth/src'),
		'@treejs/constants': path.join(__dirname, '../../packages/constants/src'),
		'@treejs/forms': path.join(__dirname, '../../packages/forms/src'),
		'@treejs/hooks': path.join(__dirname, '../../packages/hooks/src'),
		'@treejs/localization': path.join(__dirname, '../../packages/localization/src'),
		'@treejs/styles': path.join(__dirname, '../../packages/styles/src'),
		'@treejs/types': path.join(__dirname, '../../packages/types/src'),
		'@treejs/utils': path.join(__dirname, '../../packages/utils/src'),
	};

	return config;
};
