const appendWebpackConfig = require('./helpers/webpack.config').append;

module.exports = {
  stories: ['../stories/**/*.stories.mdx'],
  addons: ['@storybook/addon-links', '@storybook/addon-docs', '@storybook/addon-essentials', {
    name: '@storybook/addon-postcss',
    options: {
      postcssLoaderOptions: {
        implementation: require('postcss'),
        postcssOptions: {
          config: __dirname + '/styles/postcss.config.js'
        }
      }
    }
  }, '@storybook/addon-viewport'],
  webpackFinal: config => appendWebpackConfig(config),
  core: {
    builder: 'webpack5'
  }
};