module.exports = {
	rootDir: '../',

	transform: {
		'^.+\\.tsx?$': 'ts-jest',
		'^.+\\.txt?$': 'jest-raw-loader',
	},
	testRegex: '(/__tests__/.*|(-|/)(test))\\.tsx?$',
	moduleFileExtensions: ['ts', 'tsx', 'js', 'json'],
	moduleNameMapper: {
		'^config(.*)$': '<rootDir>/config/$1',
		'^@treejs/components(.*)$': '<rootDir>/packages/components/src/$1',
		'^@treejs/api(.*)$': '<rootDir>/packages/api/src/$1',
		'^@treejs/auth(.*)$': '<rootDir>/packages/auth/src/$1',
		'^@treejs/constants(.*)$': '<rootDir>/packages/constants/src/$1',
		'^@treejs/utils(.*)$': '<rootDir>/packages/utils/src/$1',
		'^@treejs/forms(.*)$': '<rootDir>/packages/forms/src/$1',
		'^@treejs/hooks(.*)$': '<rootDir>/packages/forms/src/$1',
		'^@treejs/localization(.*)$': '<rootDir>/packages/localization/src/$1',
		'^@treejs/styles(.*)$': '<rootDir>/packages/styles/src/$1',
		'^@treejs/types(.*)$': '<rootDir>/packages/types/src/$1',
		'\\.(css|less|sass|scss)$': '<rootDir>/types/emptyMock.ts',
	},
	collectCoverage: !!process.env.CI,
	coverageReporters: ['lcov'],
	coverageDirectory: '<rootDir>/temp/jest',

	globals: {
		'ts-jest': {
			diagnostics: {
				warnOnly: true,
			},
		},
	},
};
