import { ROOT_REDUCER_NAME } from '@treejs/constants/redux';

import { API_REDUCER_NAME } from './constants';

export enum FetchMethods {
	DELETE = 'delete',
	GET = 'get',
	PATCH = 'patch',
	POST = 'post',
	PUT = 'put',
}

export enum FetchActions {
	FETCH = 'API_FETCH/FETCH',
}

export type IQueryParams = {
	[key: string]: string;
};

export type IFetchConfig<C> = {
	baseUrl?: string;
	body?: any;
	headers?: { [key: string]: string };
	method: FetchMethods;
	onError?: (response: any) => void;
	onRequest?: () => void | Promise<void>;
	onSuccess?: (response: any) => void | Promise<void>;
	queryParams?: IQueryParams;
	url: string;
} & C;

export type IFetchState = {
	isError: boolean;
	isFetching: boolean;
	isLoaded: boolean;
};

export enum IFetchShapes {
	input,
}

export type IAPIReducer = {
	[key: string]: IFetchState;
};

export type IRootStore = {
	[ROOT_REDUCER_NAME]: {
		[API_REDUCER_NAME]: IAPIReducer;
	};
};
