import { dissoc, includes, mapObjIndexed, replace } from 'ramda';

import { isNilOrEmpty } from '@treejs/utils';

import { IQueryParams } from './types';

export const resolveParams = (url: string, params: IQueryParams): string => {
	let queryParams = { ...params };
	let replacedUrl = url;

	mapObjIndexed((value: string, name) => {
		if (includes(`{${name}}`, url)) {
			queryParams = dissoc(name, queryParams);
			replacedUrl = replace(`{${name}}`, value, replacedUrl);
		}
	})(params);

	if (!isNilOrEmpty(queryParams)) {
		return `${replacedUrl}?${Object.keys(queryParams)
			.map((k) => encodeURIComponent(k) + '=' + encodeURIComponent(queryParams[k]))
			.join('&')}`;
	}

	return replacedUrl;
};
