import { useSelector } from 'react-redux';

import { getAttribute } from '../selectors';
import { IRootStore } from '../types';

type IAuthReturn = {
	isAuthenticate?: boolean;
};

const useAuth = (): IAuthReturn => {
	const authenticated = useSelector((state: IRootStore) => getAttribute([state, 'authenticated']));

	return {
		isAuthenticate: authenticated,
	};
};

export default useAuth;
