import { ROOT_REDUCER_NAME } from '@treejs/constants/redux';

import { AUTH_REDUCER_NAME } from './constants';

export type IAuthReducer<P> = IAuthOption<P>;

export type IAuthOption<P = unknown> = {
	accessToken?: string;
	authenticated?: boolean;
	refreshToken?: string;
	userId?: string;
} & P;

export type IUpdateAuthOption<P = unknown> = {
	key: keyof IAuthOption<P>;
	value: any;
};

export type IRootStore = {
	[ROOT_REDUCER_NAME]: {
		[AUTH_REDUCER_NAME]: IAuthOption;
	};
};
