import { any, includes, is, keys } from 'ramda';

import { isNilOrEmpty } from '@treejs/utils';

import { GRID_SIZE } from './types';

export const isBiggerDefined = (cols: Partial<Record<GRID_SIZE, number>> | number): boolean => {
	if (!isNilOrEmpty(cols) && !is(Number, cols)) {
		const sizes = keys(cols);
		let bigger = [];
		if (includes(GRID_SIZE.SM, sizes)) {
			bigger = [GRID_SIZE.MD, GRID_SIZE.LG, GRID_SIZE.XL];
		} else if (includes(GRID_SIZE.MD, sizes)) {
			bigger = [GRID_SIZE.LG, GRID_SIZE.XL];
		} else if (includes(GRID_SIZE.LG, sizes)) {
			bigger = [GRID_SIZE.XL];
		} else {
			return false;
		}
		return any((size) => includes(size, sizes), bigger);
	}
	return true;
};
