import React from 'react';

type IProps = {
	children: React.ReactElement | string;
	href: string;
	newTab?: boolean;
};

const Link = (props: IProps): React.ReactElement => {
	return (
		<a
			className="border-b-2 border-solid border-info text-black text-decoration-none p-1"
			{...(props.newTab && {
				target: '_blank',
				rel: 'noreferrer noopener',
			})}
			href={props.href}
		>
			{props.children}
		</a>
	);
};

export default Link;
