import { dissoc } from 'ramda';

import { Action } from '@treejs/types/redux/actions';
import { isNilOrEmpty } from '@treejs/utils';

import { ACTIONS, ModalReducer, ModalState } from '../types';

const initialState: ModalReducer = {};

type Payload = ModalState;

const reducer = (state: typeof initialState, action: Action<Payload, ACTIONS>): ModalReducer => {
	if (isNilOrEmpty(state)) {
		state = initialState;
	}

	switch (action.type) {
		case ACTIONS.ADD_MODAL:
			return {
				...state,
				[action.payload.id]: {
					visible: true,
					...action.payload,
				},
			};
		case ACTIONS.REMOVE_MODAL:
			return dissoc(action.payload.id, state);
		default:
			return state;
	}
};

export default reducer;
