import React, { useCallback } from 'react';

import cx from 'classnames';

import { OptionRenderProps } from '@treejs/components/RadioButton/types';

const OptionRenderer: React.FC<OptionRenderProps> = ({ option: { code, name }, value, icons }) => {
	const render = useCallback(
		(code: string, name: string) => {
			return (
				<div
					className={cx('text-center p-2 flex items-center justify-center h-full', {
						'bg-primary text-white': value === code,
					})}
				>
					{icons[code]}
					<div className="ml-2">{name}</div>
				</div>
			);
		},
		[value, icons]
	);

	return render(code, name);
};

export default OptionRenderer;
