import React from 'react';

import Title from '../Title';
import { TITLE_SPACE_ENUM } from '../Title/types';

type ISectionProps = {
	children: any;
	title?: string;
};

const Section = (props: ISectionProps): React.ReactElement => {
	const { title, children } = props;

	return (
		<div className="my-3 mt-10">
			{title && (
				<Title size={1} space={{ [TITLE_SPACE_ENUM.Y]: 3 }}>
					{title}
				</Title>
			)}
			{children}
		</div>
	);
};

Section.displayName = 'Section';

export default Section;
