import React from 'react';

import cx from 'classnames';

type IProps = {
	children: React.ReactElement[];
	nthStyle?: boolean;
};

const TableRow = ({ nthStyle, children }: IProps) => {
	return (
		<div
			className={cx('table-component-row', {
				'table-component-row--nth-style': nthStyle,
			})}
		>
			{children}
		</div>
	);
};

export default TableRow;
