import React, { useCallback } from 'react';

import { useDispatch } from 'react-redux';

import { STATUS } from '@treejs/types/common';

import Button from '../../Button';
import { addToaster } from '../actions';
import { ToasterState } from '../types';

type IProps = {
	message: string;
	status?: STATUS;
	title: string;
} & ToasterState;

const AddToaster: React.FC<IProps> = (props) => {
	const { name, title, status, message } = props;

	const dispatch = useDispatch();

	const handleClick = useCallback((): void => {
		dispatch(addToaster({ name, status, message }));
	}, []);

	return <Button label={title} onClick={handleClick} status={status} />;
};

export default AddToaster;
