import React from 'react';

import { useSelector } from 'react-redux';

import { isNilOrEmpty } from '@treejs/utils';

import Message from '../../Message';
import { getToasters } from '../selectors';

function Toasters() {
	const toasters = useSelector(getToasters);

	if (isNilOrEmpty(toasters)) {
		return null;
	}

	return (
		<div className="fixed bottom-4 right-6 sm-m:left-6 w-80 sm-m:w-auto z-10">
			{Object.keys(toasters).map((key) => {
				const toaster = toasters[key];
				return (
					<Message key={key} status={toaster.status} filled={toaster.filled}>
						{toaster.message}
					</Message>
				);
			})}
		</div>
	);
}

export default Toasters;
