import { dissoc } from 'ramda';

import { Action } from '@treejs/types/redux/actions';
import { isNilOrEmpty } from '@treejs/utils';

import { ACTIONS, ToasterReducer, ToasterState } from '../types';

const initialState: ToasterReducer = {};

type Payload = ToasterState;

const reducer = (state: typeof initialState, action: Action<Payload, ACTIONS>): ToasterReducer => {
	if (isNilOrEmpty(state)) {
		state = initialState;
	}

	if (action.type === ACTIONS.ADD_TOASTER) {
		return {
			...state,
			[action.payload.name]: {
				...action.payload,
			},
		};
	} else if (action.type === ACTIONS.REMOVE_TOASTER) {
		return dissoc(action.payload.name, state);
	} else {
		return state;
	}
};

export default reducer;
