import { yupResolver } from '@hookform/resolvers/yup';
import * as hookForm from 'react-hook-form';
import { UseFormProps } from 'react-hook-form';
import { SchemaOf } from 'yup';

type IOptions<FormData> = {
	schema: SchemaOf<FormData>;
} & UseFormProps<FormData>;

const useForm = <FormData>(options: IOptions<FormData>) => {
	return hookForm.useForm<FormData>({
		resolver: yupResolver(options.schema as any),
		...options,
	});
};

export const useFieldArray = hookForm.useFieldArray;
export const useWatch = hookForm.useWatch;

export default useForm;
