import { initLocalization } from '@treejs/localization/init';

import { getPluralMessage } from '../message';

describe('Localization message', () => {
	initLocalization('cs', {
		cs: {
			char: 'znak',
			char_2: 'znaky',
			char_5: 'znaku',
		},
	});

	describe('getPluralMessage', () => {
		it('should return char_5 for 0 count', () => {
			expect(getPluralMessage(0)('char')).toBe('znaku');
		});
		it('should return char for 1 count', () => {
			expect(getPluralMessage(1)('char')).toBe('znak');
			expect(getPluralMessage(-1)('char')).toBe('znak');
		});
		it('should return char_2 for 2 count', () => {
			expect(getPluralMessage(2)('char')).toBe('znaky');
			expect(getPluralMessage(-2)('char')).toBe('znaky');
		});
		it('should return char_5 for 5 count', () => {
			expect(getPluralMessage(5)('char')).toBe('znaku');
			expect(getPluralMessage(-5)('char')).toBe('znaku');
		});
		it('should return char_5 for 10 count', () => {
			expect(getPluralMessage(10)('char')).toBe('znaku');
			expect(getPluralMessage(-10)('char')).toBe('znaku');
		});
	});
});
