export const localizationWithNamespace = (namespace: string) => {
	return (target: any, propertyKey: string) => {
		const update = Reflect.defineProperty(target, propertyKey, {
			get: () => {
				return `${namespace}.${propertyKey}`;
			},
		});
		if (!update) {
			throw new Error('Unable to update localization property!');
		}
	};
};
