import Localized from 'react-localization';

enum LANGUAGES {
	cs = 'cs',
	en = 'en',
}

export let localize: any = null;

interface ILocalization {
	[language: string]: Record<string, string>;
}

export const initLocalization = (language: LANGUAGES | string, localization: ILocalization) => {
	localize = new Localized(localization);
	localize.setLanguage(language);
};
