import { localize } from './init';

export const getMessage = (key: string, ...variables: any): any => {
	return localize.formatString(localize[key], ...variables) || key;
};

export const getPluralMessage =
	(count: number) =>
	(messages: string): string => {
		const absCount = Math.abs(count);

		if (absCount === 1) {
			return getMessage(messages);
		}

		if (absCount >= 2 && absCount <= 4) {
			return getMessage(`${messages}_2`);
		}

		if (absCount === 0 || absCount >= 5) {
			return getMessage(`${messages}_5`);
		}
	};
