const button = (theme) => ({
	'.button': {
		padding: `${theme('spacing.2')} ${theme('spacing.4')}`,
		margin: `${theme('spacing.2')} auto`,

		display: 'flex',
		justifyContent: 'center',

		width: '100%',

		borderRadius: theme('borderRadius.sm'),

		fontWeight: theme('fontWeight.500'),

		'&--none': {
			color: theme('colors.black'),
			backgroundColor: theme('colors.whitesmoke'),
		},
		'&--info': {
			color: 'white',
			backgroundColor: theme('colors.info'),
		},
		'&--success': {
			color: 'white',
			backgroundColor: theme('colors.success'),
		},
		'&--warning': {
			color: theme('colors.black'),
			backgroundColor: theme('colors.warning'),
		},
		'&--error': {
			color: theme('colors.black'),
			backgroundColor: theme('colors.error.DEFAULT'),
		},

		'&:active': {
			transform: 'scale(0.99)',
		},

		'&:disabled': {
			color: 'white',
			backgroundColor: theme('colors.whitesmoke'),

			cursor: 'not-allowed',

			transform: 'none',
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(button(theme));
};

module.exports.button = button;
