const field = (theme) => ({
	'.field-container': {
		marginBottom: '1rem',
	},
	'.textfield-container': {
		position: 'relative',
		'& svg': {
			cursor: 'pointer',
		},
		'.textfield-input': {
			border: 'none',
			backgroundColor: theme('colors.gray.50'),
			padding: '0.5rem',
			outline: 'none',
			boxSizing: 'border-box',
			width: '100%',
			lineHeight: '1.25',
			fontSize: '1rem',
			fontWeight: 300,
			borderRadius: '2px',
			'&--error': {
				borderLeft: `2px solid ${theme('colors.error.DEFAULT')}`,
			},
			'&--info': {
				borderLeft: `2px solid ${theme('colors.info')}`,
			},
			'&--warning': {
				borderLeft: `2px solid ${theme('colors.warning')}`,
			},
			'&--success': {
				borderLeft: `2px solid ${theme('colors.success')}`,
			},
			'&:focus': {
				borderLeft: `2px solid ${theme('colors.primary.DEFAULT')}`,
			},
			'&:disabled': {
				backgroundColor: 'transparent',
				border: `2px solid ${theme('colors.whitesmoke')}`,
				'&:empty': {
					border: 'none',
				},
			},
			'&:read-only': {
				cursor: 'auto',
			},
		},
	},
	'.checkbox-container': {
		position: 'relative',
		marginTop: '1rem',
	},
	'.radiobutton-container': {
		position: 'relative',
		marginTop: '1rem',
	},
	'.field-icon': {
		position: 'absolute',
		top: '1.27rem',
		right: '0',
		padding: '0.51rem',
		color: theme('colors.primary.DEFAULT'),
		fontSize: '1.125rem',
		lineHeight: '1.25rem',
		'&--clear': {
			display: 'none',
			borderRadius: '0 2px 2px 0',
			color: theme('colors.error.dark'),
		},
		'.field-input:disabled &': {
			color: theme('colors.gray.500'),
			'& svg': {
				cursor: 'auto',
			},
		},
		'.field-input:hover + &, .field-input + &:hover': {
			display: 'inline',
		},
	},
	'.field-label': {
		fontSize: '0.8rem',
		lineHeight: '1.25rem',
		color: theme('colors.gray.500'),
	},
	'.field-validationMessage': {
		color: theme('colors.error.DEFAULT'),
		textAlign: 'left',
		fontSize: '0.7rem',
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(field(theme));
};

module.exports.field = field;
