const message = (theme) => ({
	'.message': {
		padding: theme('spacing.4'),
		marginTop: theme('spacing.5'),

		width: '100%',

		display: 'flex',
		alignItems: 'center',

		color: theme('colors.black'),
		backgroundColor: 'white',

		border: '3px solid whitesmoke',
		borderRadius: theme('borderRadius.sm'),

		'&--none': {
			borderColor: 'transparent',
			'&..message--filled': {
				backgroundColor: theme('transparent'),
			},
		},
		'&--info': {
			borderColor: theme('colors.info'),
			'&.message--filled': {
				backgroundColor: theme('colors.info'),
			},
		},
		'&--success': {
			borderColor: theme('colors.success'),
			'&.message--filled': {
				backgroundColor: theme('colors.success'),
			},
		},
		'&--warning': {
			color: theme('colors.black'),
			borderColor: theme('colors.warning'),
			'&.message--filled': {
				backgroundColor: theme('colors.warning'),
			},
		},
		'&--error': {
			color: theme('colors.black'),
			borderColor: theme('colors.error.DEFAULT'),
			'&.message--filled': {
				backgroundColor: theme('colors.error.DEFAULT'),
			},
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(message(theme));
};

module.exports.message = message;
