const skeleton = (theme) => ({
	'.app': {
		display: 'flex',
	},
	'.page-sidebar': {
		backgroundColor: theme('colors.primary.DEFAULT'),
		color: 'white',
		flexDirection: 'column',
		flexShrink: 0,
		width: '12rem',
		'.logo': {
			height: '2rem',
			margin: '0.5rem',
			fontSize: '1.5rem',
			lineHeight: '2rem',
			textAlign: 'center',
		},
		'.sidebar-item': {
			paddingTop: '0.5rem',
			paddingBottom: '0.5rem',
			paddingLeft: '1.25rem',
			paddingRight: '1.25rem',
			borderRight: `2px solid ${theme('colors.primary.DEFAULT')}`,
			display: 'flex',
			justifyContent: 'space-between',
			cursor: 'pointer',
			'&--isChild': {
				color: theme('colors.primary.DEFAULT'),
				backgroundColor: 'white',
				paddingLeft: '2rem',
			},
		},
	},
	[`@media (max-width: ${theme('screens.md-m.max')})`]: {
		'.page-sidebar': {
			display: 'none',
		},
	},
	[`@media (min-width: ${theme('screens.md')})`]: {
		'.page-sidebar': {
			display: 'flex',
		},
		'.page-main': {
			'.navigation': {
				'.hamburger': {
					display: 'none',
				},
			},
		},
	},
	'.page-sidebar--visible': {
		display: 'flex',
	},
	'.page-sidebar--invisible': {
		display: 'none',
	},
	'.page-main': {
		width: '100vw',
		minHeight: '100vh',
		display: 'flex',
		flexDirection: 'column',
		'&--sidebarOverflow': {
			overflow: 'hidden',
			'&:after': {
				content: '',
				position: 'fixed',
				top: 0,
				left: '12rem',
				bottom: 0,
				right: 0,
				backgroundColor: `rgba(${theme('colors.black.dark')}, 70)`,
			},
		},
		'.navigation': {
			display: 'flex',
			backgroundColor: theme('colors.whitesmoke'),
			padding: '0.25rem',
			'&-item': {
				margin: '0.25rem',
				marginLeft: '1rem',
				marginRight: '1rem',
				cursor: 'pointer',
				display: 'flex',
				whiteSpace: 'nowrap',
				color: theme('colors.primary.DEFAULT'),
			},
			'.logo': {
				margin: '0.25rem',
				marginLeft: '1rem',
				fontSize: '1rem',
				textAlign: 'center',
			},
			'.icon': {
				fontSize: '1.25rem',
				lineHeight: '1.75rem',
				marginRight: '1.25rem',
				marginTop: '0.25rem',
			},
			'.user': {
				display: 'flex',
				marginLeft: 'auto',
				marginRight: '1rem',
				'&-item': {
					cursor: 'pointer',
					height: '2rem',
					paddingTop: '0.25rem',
					paddingLeft: '1.25rem',
					paddingRight: '1.25rem',
					borderLeftWidth: '2px',
					'&:hover': {
						borderColor: theme('colors.primary.DEFAULT'),
					},
				},
			},
		},
		'.content': {
			paddingLeft: '1.25rem',
			paddingRight: '1.25rem',
			marginTop: '1.5rem',
			marginBottom: '1.5rem',
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(skeleton(theme));
};

module.exports.skeleton = skeleton;
