const table = (theme) => ({
	'.table-component': {
		marginBottom: '2rem',
		width: '100%',
		display: 'table',
		'&-header': {
			'&-row': {
				display: 'table-row',
				backgroundColor: theme('colors.primary.DEFAULT'),
				color: 'white',
				fontSize: '1rem',
			},
			'&-cell': {
				display: 'table-cell',
				padding: '1rem 0.5rem',
			},
		},
		'&-row': {
			display: 'table-row',
			'&--nth-style': {
				'&:nth-of-type(odd)': {
					backgroundColor: theme('colors.gray.50'),
				},
			},
			'&:last-child': {
				'.table-component-cell': {
					borderBottom: `1px solid ${theme('colors.primary.DEFAULT')}`,
				},
			},
		},
		'&-cell': {
			display: 'table-cell',
			padding: '1rem 0.5rem',
			'&:first-child': {
				borderLeft: `1px solid ${theme('colors.primary.DEFAULT')}`,
			},
			'&:last-child': {
				borderRight: `1px solid ${theme('colors.primary.DEFAULT')}`,
			},
		},
		'&--noHeader': {
			'.table-component-row:nth-child(1) .table-component-cell': {
				borderTop: `1px solid ${theme('colors.primary.DEFAULT')}`,
			},
		},
	},
	[`@media (max-width: ${theme('screens.sm-m.max')})`]: {
		'.table-component': {
			display: 'block',
			'&-header': {
				'&-row': {
					display: 'none',
				},
			},
			'&-row': {
				paddingBottom: '0.5rem',
				display: 'block',
				border: 'none',
				'&:nth-of-type(odd)': {
					backgroundColor: 'transparent',
				},
				'&:nth-of-type(even)': {
					backgroundColor: theme('colors.gray.100'),
				},
				'&:last-child .table-component-cell': {
					border: 'none',
				},
			},
			'&-cell': {
				display: 'block',
				'&:first-child': {
					border: 'none',
				},
				'&:last-child': {
					border: 'none',
				},
				'&:before': {
					content: 'attr(data-title)',
					display: 'block',
					marginBottom: '0.5rem',
					fontWeight: '700',
					fontSize: '0.875rem',
					lineHeight: '1.25rem',
					textTransform: 'uppercase',
					color: theme('colors.primary.DEFAULT'),
				},
			},
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(table(theme));
};

module.exports.table = table;
