const { colorFn } = require('../utils/color');

module.exports = {
	colors: {
		primary: {
			light: 'var(--color-primary--light)',
			DEFAULT: 'var(--color-primary)',
			dark: 'var(--color-primary--dark)',
		},
		second: {
			DEFAULT: 'var(--color-second)',
		},

		focus: 'var(--color-focus)',

		active: {
			DEFAULT: 'var(--color-active)',
			light: 'var(--color-active--light)',
		},

		whitesmoke: 'var(--color-whitesmoke)',
		black: {
			DEFAULT: (params) => colorFn('--color-black', params),
			dark: (params) => colorFn('--color-black--dark', params),
		},

		info: 'var(--color-info)',
		success: 'var(--color-success)',
		warning: 'var(--color-warning)',
		error: {
			DEFAULT: 'var(--color-error)',
			dark: 'var(--color-error--dark)',
		},
	},
	screens: {
		'lg-m': { min: '768px', max: '1024px' },
		'md-m': { min: '640px', max: '768px' },
		'sm-m': { min: '0', max: '639px' },
	},
	width: {
		'v-10': '100vw',
	},
	maxHeight: {
		'v-7': '70vh',
	},
	minHeight: {
		'v-10': '100vh',
	},
};
