import React from 'react';

import cx from 'classnames';

type IProps = {
	children?: any;
	className?: string;
	onClick?: (event: any) => void;
};

const CalendarHourCell: React.FC<IProps> = (props) => {
	const { className, onClick, children } = props;
	return (
		<div className={cx('h-8 m-0.5 align-top', className)} onClick={onClick}>
			{children}
		</div>
	);
};

export default CalendarHourCell;
