import React from 'react';
import { times } from 'ramda';

import { addMinutes, format } from 'date-fns';

import CalendarHourCell from './CalendarHourCell';

const CalendarTimeColumn: React.FC = () => {
	return (
		<div className="table-cell w-2 absolute mt-8">
			<div className="h-4" />
			{times(
				(i) => (
					<CalendarHourCell key={i} className="text-right text-xs pt-0.5 mr-3">
						{format(addMinutes(new Date(0, 0, 0, 8, 0), 30 * i), 'kk:mm')}
						<br />
						<br />
					</CalendarHourCell>
				),
				16
			)}
		</div>
	);
};

export default CalendarTimeColumn;
