import React from 'react';

import { Provider } from 'react-redux';
import { applyMiddleware, combineReducers, compose, createStore } from '@reduxjs/toolkit';
import thunk from 'redux-thunk';

import { MODAL_REDUCER_NAME } from '@treejs/components/Modal/constants';
import modalReducer from '@treejs/components/Modal/reducer';
import { ROOT_REDUCER_NAME } from '@treejs/constants/redux';

export const mainReducer = combineReducers({
	[ROOT_REDUCER_NAME]: combineReducers({
		[MODAL_REDUCER_NAME]: modalReducer,
	}),
});

const composeSetup = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__
	? window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__
	: compose;

const store = createStore(mainReducer, composeSetup(applyMiddleware(thunk)));

// eslint-disable-next-line react/display-name
const StoreProvider: React.FC = ({ children }) => <Provider store={store}>{children}</Provider>;

export default StoreProvider;
