import React from 'react';

import { combineReducers, configureStore } from '@reduxjs/toolkit';
import { Provider } from 'react-redux';

import { MODAL_REDUCER_NAME } from '@treejs/components/Modal/constants';
import modalReducer from '@treejs/components/Modal/reducer';
import { ROOT_REDUCER_NAME } from '@treejs/constants/redux';

const store = configureStore({
	reducer: {
		[ROOT_REDUCER_NAME]: combineReducers({
			[MODAL_REDUCER_NAME]: modalReducer,
		}),
	},
	devTools: true,
});

const StoreProvider: React.FC = ({ children }) => <Provider store={store}>{children}</Provider>;

export default StoreProvider;
